summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2017-02-01 17:01:10 -0600
committerMatthias Maier <tamiko@gentoo.org>2017-02-01 17:11:21 -0600
commite75fe5b590c251baf45963809a52f1d2432738eb (patch)
tree044358746cf20fc9207bf5db420a324b2cc0d0bc /dev-cpp/eigen
parentsys-apps/rename: EAPI 6 bump. (diff)
downloadgentoo-e75fe5b590c251baf45963809a52f1d2432738eb.tar.gz
gentoo-e75fe5b590c251baf45963809a52f1d2432738eb.tar.bz2
gentoo-e75fe5b590c251baf45963809a52f1d2432738eb.zip
dev-cpp/eigen: fix sandbox violation, use system fortran compiler, bug #607800
Apply the patch proposed by Guilherme Amadio <amadio@gentoo.org> to fix test configuration and compiler setup. Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-cpp/eigen')
-rw-r--r--dev-cpp/eigen/eigen-3.3.1.ebuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/dev-cpp/eigen/eigen-3.3.1.ebuild b/dev-cpp/eigen/eigen-3.3.1.ebuild
index fb5d8fe1c2f..7c58917c989 100644
--- a/dev-cpp/eigen/eigen-3.3.1.ebuild
+++ b/dev-cpp/eigen/eigen-3.3.1.ebuild
@@ -62,6 +62,10 @@ src_prepare() {
if ! use test; then
sed -i CMakeLists.txt \
+ -e "/add_subdirectory(test/d" \
+ || die "sed disable tests failed"
+
+ sed -i CMakeLists.txt \
-e "/add_subdirectory(blas/d" \
-e "/add_subdirectory(lapack/d" \
|| die "sed disable unused bundles failed"
@@ -81,7 +85,6 @@ src_compile() {
src_test() {
local mycmakeargs=(
- -DEIGEN_BUILD_TESTS=ON
-DEIGEN_TEST_ALTIVEC="$(usex altivec)"
-DEIGEN_TEST_CXX11="$(usex c++11)"
-DEIGEN_TEST_CUDA="$(usex cuda)"